Jump to content


Photo

Can I start the upgrade from the command line ?

upgrade

  • Please log in to reply
3 replies to this topic

#1 FraKtus

  • Member
  • 2 posts

0
Neutral

Posted 13 March 2014 - 11:44

Hi All,

 

Yesterday I upgraded my dm800 hd from the menu.

 

There was some connectivity problems during the process.

 

When I read the ipkgupgrade.log I see some lines such as 

 

Upgrading enigma2 on root from 2.7+git10764+85c69f8-r36 to 2.7+git11499+e10272b-r36...
wget: download timed out: Resource temporarily unavailable
wget: bad address 'downloads.pli-images.org'
 
And at the end I see
 
Collected errors:
 * opkg_download: Failed to download http://downloads.pli...-r0_mipsel.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download libtuxtxt0. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://downloads.pli...-r0_mipsel.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download libtuxtxt32bpp0. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://downloads.pli...-r36_dm800.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download enigma2-plugin-extensions-mediaplayer. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://downloads.pli...-r36_dm800.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download enigma2-plugin-systemplugins-hdmicec. Perhaps you need to run 'opkg update'?
 * opkg_install_pkg: Package libtuxtxt0 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_download: Failed to download http://downloads.pli...-r36_dm800.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download enigma2-plugin-systemplugins-satfinder. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://downloads.pli...-r36_dm800.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download enigma2-plugin-systemplugins-videotune. Perhaps you need to run 'opkg update'?
 * opkg_download: Failed to download http://downloads.pli...3-r7_dm800.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download enigma2-plugin-extensions-audiosync. Perhaps you need to run 'opkg update'?
 
 
My receiver is semi usable. I can switch channels but I don't see the interface at all. All menus are empty.
 
My question: is it possible to launch the update from the command line ?
 
Best regards,
 
 
 
 
 


Re: Can I start the upgrade from the command line ? #2 WanWizard

  • Forum Moderator
    PLi® Core member
  • 52,522 posts

+1,021
Excellent

Posted 13 March 2014 - 12:18

Yes.

init 3
opkg update
opkg upgrade
reboot

Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Can I start the upgrade from the command line ? #3 ims

  • PLi® Core member
  • 11,601 posts

+172
Excellent

Posted 13 March 2014 - 12:28

opkg update
opkg upgrade
reboot


Edited by ims, 13 March 2014 - 12:29.

Kdo nic nedělá, nic nezkazí!

Re: Can I start the upgrade from the command line ? #4 FraKtus

  • Member
  • 2 posts

0
Neutral

Posted 13 March 2014 - 13:25

Thanks!

 

It looks like it worked.

 

Best regards,







Also tagged with one or more of these keywords: upgrade

1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users